package org.dromara.ygpassport.service;

import com.github.yulichang.base.MPJBaseService;
import org.dromara.ygpassport.domain.CombatProject;
import org.dromara.ygpassport.domain.StudentAlbum;
import org.dromara.ygpassport.domain.vo.StudentAlbumVo;
import org.dromara.ygpassport.domain.bo.StudentAlbumBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 学生相册Service接口
 *
 * @author Lion Li
 * @date 2024-09-12
 */
public interface IStudentAlbumService extends MPJBaseService<StudentAlbum> {

    /**
     * 查询学生相册
     */
    StudentAlbumVo queryById(Long id);

    /**
     * 查询学生相册列表
     */
    TableDataInfo<StudentAlbumVo> queryPageList(StudentAlbumBo bo, PageQuery pageQuery);

    /**
     * 查询学生相册列表
     */
    List<StudentAlbumVo> queryList(StudentAlbumBo bo);

    /**
     * 新增学生相册
     */
    Boolean insertByBo(StudentAlbumBo bo);

    /**
     * 修改学生相册
     */
    Boolean updateByBo(StudentAlbumBo bo);

    /**
     * 校验并批量删除学生相册信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
